Subject: bug#35271: system disk-image symlink root parent directory duplicated

From: rendaw <[email-masked]>
Date: Mon, 15 Apr 2019 22:13:58 +0900

On 4/15/19 9:57 PM, Ludovic Courtès wrote:
> Hi,
>
> rendaw <[email-masked]> skribis:
>
>> guix system disk-image .../server/tmpudkxw7og.scm -r
>> temp/image-2019-4-14 --on-error=backtrace
>>
>> in the `server` directory which has a subdirectory `temp` fails with
>> this error:
>>
>> successfully built
>> /gnu/store/xqcy47al19dn2bfbnmz7vmjm812ikgqx-disk-image.drv
>> guix system: error: failed to create GC root
>> `.../server/temp/temp/image-2019-4-14': No such file or directory
> Unless you provide more info, we’ll have to assume that ‘guix system’ is
> right: the “No such file or directory” comes directly from open(2).
>
> Do you have any reasons to believe that something is amiss here?
>
> Thanks,
> Ludo’.

Sorry, I realize I might not have been entirely clear here.

CWD is `.../server`

The directory `.../server/temp` exists

The specified -r is: `temp/image-2019-4-14`

I would expect the destination to be: `.../server/temp/image-2019-4-14`
(joining `.../server` `temp/image-2019-4-14`)

The actual destination guix system uses is:
`.../server/temp/temp/image-2019-4-14` which produces an error because
`temp/temp` doesn't exist.